/* Google Fonts https://fonts.google.com/ */
@import url('https://fonts.googleapis.com/css2?family=Karla:wght@400;700&display=swap');
/* Weights: 400, 700 */

/* Reset Styles */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* Custom Properties */
:root {
    --cyan: hsl(179, 62%, 43%);
    --bright-yellow: hsl(71, 73%, 54%);
    --light-gray: hsl(204, 43%, 93%);
    --white: hsl(204, 43%, 93%);
    --grayish-blue: hsl(218, 22%, 67%);
    --karla: 'Karla', sans-serif;
}

body {
    font-family: var(--karla);
    min-width: 375px;
    min-height: 812px;
    padding: 105px 32px 77px;
    background-color: var(--white);
    color: var(--white);
}

.top {
    padding: 0 25px;
}

.top-title {
    font-size: 19px;
    color: var(--cyan);
    margin-bottom: 30px;
}

.top-subtitle {
    font-size: 14px;
    color: var(--bright-yellow);
    margin-bottom: 15px;
}

.top-paragraph {
    font-size: 13px;
    line-height: 1.8;
    color: var(--grayish-blue);
    margin-bottom: 25px;
}

.main-item {
    padding: 25px;
}

.main-plan {
    background-color: var(--cyan);
}

.plan-name {
    font-size: 17px;
    margin-bottom: 20px;
    padding: 4px 0;
}

.plan-price {
    display: flex;
    align-items: center;
    gap: 12px;
    margin-bottom: 10px;
}

.price-amount {
    font-size: 27px;
    font-weight: 700;
}

.price-frequency {
    flex-grow: 1;
}

.plan-access {
    font-size: 15px;
    font-weight: 300;
    margin-bottom: 30px;
}

.plan-signup {
    display: inline-block;
    width: 100%;
    background-color: var(--bright-yellow);
    text-align: center;
    font-size: 15px;
    padding: 10px 0;
    text-decoration: none;
    color: var(--white);
    font-weight: 700;
    border-radius: 5px;
}

.main-why {
    background-color: hsl(179, 47%, 52%);
}

.why-title {
    font-size: 17px;
    margin-bottom: 20px;
    padding: 4px 0;
}

.why-list {
    margin-bottom: 2px;
}

li {
    font-size: 12px;
    list-style: none;
    line-height: 1.5;
}

/* Media Queries */
@media (min-width: 720px) {
    body {
        font-family: var(--karla);
        min-height: 800px;
        padding: 0;
        background-color: var(--light-gray);
        display: flex;
        justify-content: center;
        align-items: center;
    }

    main {
        width: 636px;
        border-radius: 10px;
        box-shadow: 3px 5px 15px hsl(218, 56%, 85%);
        overflow: hidden;
    }

    .top-title {
        padding-top: 60px;
        font-size: 26px;
    }

    .top-subtitle {
        font-size: 19px;
    }

    .top-paragraph {
        font-size: 17px;
    }

    .main {
        width: 100%;
        display: grid;
        grid-template-columns: repeat(2, 1fr);
    }

    .main-item {
        padding: 40px;
    }

    .plan-name {
        padding: 0;
        font-size: 19px;
    }

    .price-amount {
        font-size: 30px;
    }

    .price-frequency {
        font-size: 16px;
    }

    .plan-access {
        font-size: 16px;
        margin-bottom: 35px;
    }

    .why-title {
        padding: 0;
        font-size: 19px;
        margin-bottom: 19px;
    }

    li {
        font-size: 13px;
        list-style: none;
        line-height: 1.5;
    }
}
